Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.event
Class EventRouterServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.bea.wlai.event.EventRouterServlet

public class EventRouterServlet
extends javax.servlet.http.HttpServlet
implements javax.servlet.SingleThreadModel

An implementation of IEventRouter that provides a servlet interface for access by remote HTTP clients. This servlet, when initialized creates an instance of IEventGenerator using the class name given in its startup (init) parameters. The set of startup parameters is then sent to the IEventGenerator using its init() method. This router reads an XML document describing the current event subscriptions it has been asked to maintain, and presents either an HTML interface or an XML interface to the client in order to maintain this list of subscriptions. These subscriptions are passed on to the IEventGenerator so it only generates events for occurrences that have been designated as being of interest.
The required init parameters are...
eventGeneratorClassName - The class name of the IEventGenerator to use. This class will be instantiated using this.getClass().getClassLoader().loadClass(). newInstance().

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`EventRouterServlet()`

Method Summary
`void` | `destroy()`
`void` | `init(javax.servlet.ServletConfig config)`
`protected void` | `printException(java.lang.Exception e, int statusCode, java.io.PrintWriter out, javax.servlet.http.HttpServletResponse res)` Utility method to print an exception out to the response writer.
`void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventRouterServlet

    public EventRouterServlet()
                       throws java.io.FileNotFoundException

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Overrides:
    init in class javax.servlet.GenericServlet

### destroy

    public void destroy()

  Overrides:
    destroy in class javax.servlet.GenericServlet

### service

    public void service(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse res)
                 throws java.io.IOException

  Overrides:
    service in class javax.servlet.http.HttpServlet

### printException

    protected void printException(java.lang.Exception e,
                                  int statusCode,
                                  java.io.PrintWriter out,
                                  javax.servlet.http.HttpServletResponse res)

  Utility method to print an exception out to the response writer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)